# Interface methods for submodule: ScalableAffineTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import AffineTransformProxy as _AffineTransformProxy


# Interface methods for class: ScalableAffineTransform
class ScalableAffineTransformProxy(_AffineTransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetIdentity(self) -> None:
		""""""
		...

	@overload
	def SetScale(self, scale: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetScale(self, scale) -> None:
		""""""
		...

	@overload
	def SetScaleComponent(self, scale: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetScaleComponent(self, scale) -> None:
		""""""
		...

	def GetScale(self):
		""""""
		...

	def GetScaleComponent(self):
		""""""
		...

	def GetInverse(self, inverse) -> bool:
		""""""
		...

	def GetInverseTransform(self):
		""""""
		...

